/*******************************************************************************
* File Name: DispColon.h  
* Version 1.60
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_DispColon_H) /* Pins DispColon_H */
#define CY_PINS_DispColon_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "DispColon_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    DispColon_Write(uint8 value) ;
void    DispColon_SetDriveMode(uint8 mode) ;
uint8   DispColon_ReadDataReg(void) ;
uint8   DispColon_Read(void) ;
uint8   DispColon_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DispColon_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define DispColon_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define DispColon_DM_RES_UP          PIN_DM_RES_UP
#define DispColon_DM_RES_DWN         PIN_DM_RES_DWN
#define DispColon_DM_OD_LO           PIN_DM_OD_LO
#define DispColon_DM_OD_HI           PIN_DM_OD_HI
#define DispColon_DM_STRONG          PIN_DM_STRONG
#define DispColon_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define DispColon_MASK               DispColon__MASK
#define DispColon_SHIFT              DispColon__SHIFT
#define DispColon_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DispColon_PS                     (* (reg8 *) DispColon__PS)
/* Data Register */
#define DispColon_DR                     (* (reg8 *) DispColon__DR)
/* Port Number */
#define DispColon_PRT_NUM                (* (reg8 *) DispColon__PRT) 
/* Connect to Analog Globals */                                                  
#define DispColon_AG                     (* (reg8 *) DispColon__AG)                       
/* Analog MUX bux enable */
#define DispColon_AMUX                   (* (reg8 *) DispColon__AMUX) 
/* Bidirectional Enable */                                                        
#define DispColon_BIE                    (* (reg8 *) DispColon__BIE)
/* Bit-mask for Aliased Register Access */
#define DispColon_BIT_MASK               (* (reg8 *) DispColon__BIT_MASK)
/* Bypass Enable */
#define DispColon_BYP                    (* (reg8 *) DispColon__BYP)
/* Port wide control signals */                                                   
#define DispColon_CTL                    (* (reg8 *) DispColon__CTL)
/* Drive Modes */
#define DispColon_DM0                    (* (reg8 *) DispColon__DM0) 
#define DispColon_DM1                    (* (reg8 *) DispColon__DM1)
#define DispColon_DM2                    (* (reg8 *) DispColon__DM2) 
/* Input Buffer Disable Override */
#define DispColon_INP_DIS                (* (reg8 *) DispColon__INP_DIS)
/* LCD Common or Segment Drive */
#define DispColon_LCD_COM_SEG            (* (reg8 *) DispColon__LCD_COM_SEG)
/* Enable Segment LCD */
#define DispColon_LCD_EN                 (* (reg8 *) DispColon__LCD_EN)
/* Slew Rate Control */
#define DispColon_SLW                    (* (reg8 *) DispColon__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define DispColon_PRTDSI__CAPS_SEL       (* (reg8 *) DispColon__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define DispColon_PRTDSI__DBL_SYNC_IN    (* (reg8 *) DispColon__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define DispColon_PRTDSI__OE_SEL0        (* (reg8 *) DispColon__PRTDSI__OE_SEL0) 
#define DispColon_PRTDSI__OE_SEL1        (* (reg8 *) DispColon__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define DispColon_PRTDSI__OUT_SEL0       (* (reg8 *) DispColon__PRTDSI__OUT_SEL0) 
#define DispColon_PRTDSI__OUT_SEL1       (* (reg8 *) DispColon__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define DispColon_PRTDSI__SYNC_OUT       (* (reg8 *) DispColon__PRTDSI__SYNC_OUT) 


#if defined(DispColon__INTSTAT)  /* Interrupt Registers */

    #define DispColon_INTSTAT                (* (reg8 *) DispColon__INTSTAT)
    #define DispColon_SNAP                   (* (reg8 *) DispColon__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins DispColon_H */


/* [] END OF FILE */
