/*******************************************************************************
* File Name: PilotLED.h  
* Version 1.60
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_PilotLED_H) /* Pins PilotLED_H */
#define CY_PINS_PilotLED_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PilotLED_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    PilotLED_Write(uint8 value) ;
void    PilotLED_SetDriveMode(uint8 mode) ;
uint8   PilotLED_ReadDataReg(void) ;
uint8   PilotLED_Read(void) ;
uint8   PilotLED_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PilotLED_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PilotLED_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PilotLED_DM_RES_UP          PIN_DM_RES_UP
#define PilotLED_DM_RES_DWN         PIN_DM_RES_DWN
#define PilotLED_DM_OD_LO           PIN_DM_OD_LO
#define PilotLED_DM_OD_HI           PIN_DM_OD_HI
#define PilotLED_DM_STRONG          PIN_DM_STRONG
#define PilotLED_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PilotLED_MASK               PilotLED__MASK
#define PilotLED_SHIFT              PilotLED__SHIFT
#define PilotLED_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PilotLED_PS                     (* (reg8 *) PilotLED__PS)
/* Data Register */
#define PilotLED_DR                     (* (reg8 *) PilotLED__DR)
/* Port Number */
#define PilotLED_PRT_NUM                (* (reg8 *) PilotLED__PRT) 
/* Connect to Analog Globals */                                                  
#define PilotLED_AG                     (* (reg8 *) PilotLED__AG)                       
/* Analog MUX bux enable */
#define PilotLED_AMUX                   (* (reg8 *) PilotLED__AMUX) 
/* Bidirectional Enable */                                                        
#define PilotLED_BIE                    (* (reg8 *) PilotLED__BIE)
/* Bit-mask for Aliased Register Access */
#define PilotLED_BIT_MASK               (* (reg8 *) PilotLED__BIT_MASK)
/* Bypass Enable */
#define PilotLED_BYP                    (* (reg8 *) PilotLED__BYP)
/* Port wide control signals */                                                   
#define PilotLED_CTL                    (* (reg8 *) PilotLED__CTL)
/* Drive Modes */
#define PilotLED_DM0                    (* (reg8 *) PilotLED__DM0) 
#define PilotLED_DM1                    (* (reg8 *) PilotLED__DM1)
#define PilotLED_DM2                    (* (reg8 *) PilotLED__DM2) 
/* Input Buffer Disable Override */
#define PilotLED_INP_DIS                (* (reg8 *) PilotLED__INP_DIS)
/* LCD Common or Segment Drive */
#define PilotLED_LCD_COM_SEG            (* (reg8 *) PilotLED__LCD_COM_SEG)
/* Enable Segment LCD */
#define PilotLED_LCD_EN                 (* (reg8 *) PilotLED__LCD_EN)
/* Slew Rate Control */
#define PilotLED_SLW                    (* (reg8 *) PilotLED__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PilotLED_PRTDSI__CAPS_SEL       (* (reg8 *) PilotLED__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PilotLED_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PilotLED__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PilotLED_PRTDSI__OE_SEL0        (* (reg8 *) PilotLED__PRTDSI__OE_SEL0) 
#define PilotLED_PRTDSI__OE_SEL1        (* (reg8 *) PilotLED__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PilotLED_PRTDSI__OUT_SEL0       (* (reg8 *) PilotLED__PRTDSI__OUT_SEL0) 
#define PilotLED_PRTDSI__OUT_SEL1       (* (reg8 *) PilotLED__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PilotLED_PRTDSI__SYNC_OUT       (* (reg8 *) PilotLED__PRTDSI__SYNC_OUT) 


#if defined(PilotLED__INTSTAT)  /* Interrupt Registers */

    #define PilotLED_INTSTAT                (* (reg8 *) PilotLED__INTSTAT)
    #define PilotLED_SNAP                   (* (reg8 *) PilotLED__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins PilotLED_H */


/* [] END OF FILE */
