/*******************************************************************************
* File Name: Segment.h  
* Version 1.60
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_Segment_H) /* Pins Segment_H */
#define CY_PINS_Segment_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Segment_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Segment_Write(uint8 value) ;
void    Segment_SetDriveMode(uint8 mode) ;
uint8   Segment_ReadDataReg(void) ;
uint8   Segment_Read(void) ;
uint8   Segment_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Segment_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Segment_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Segment_DM_RES_UP          PIN_DM_RES_UP
#define Segment_DM_RES_DWN         PIN_DM_RES_DWN
#define Segment_DM_OD_LO           PIN_DM_OD_LO
#define Segment_DM_OD_HI           PIN_DM_OD_HI
#define Segment_DM_STRONG          PIN_DM_STRONG
#define Segment_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Segment_MASK               Segment__MASK
#define Segment_SHIFT              Segment__SHIFT
#define Segment_WIDTH              8u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Segment_PS                     (* (reg8 *) Segment__PS)
/* Data Register */
#define Segment_DR                     (* (reg8 *) Segment__DR)
/* Port Number */
#define Segment_PRT_NUM                (* (reg8 *) Segment__PRT) 
/* Connect to Analog Globals */                                                  
#define Segment_AG                     (* (reg8 *) Segment__AG)                       
/* Analog MUX bux enable */
#define Segment_AMUX                   (* (reg8 *) Segment__AMUX) 
/* Bidirectional Enable */                                                        
#define Segment_BIE                    (* (reg8 *) Segment__BIE)
/* Bit-mask for Aliased Register Access */
#define Segment_BIT_MASK               (* (reg8 *) Segment__BIT_MASK)
/* Bypass Enable */
#define Segment_BYP                    (* (reg8 *) Segment__BYP)
/* Port wide control signals */                                                   
#define Segment_CTL                    (* (reg8 *) Segment__CTL)
/* Drive Modes */
#define Segment_DM0                    (* (reg8 *) Segment__DM0) 
#define Segment_DM1                    (* (reg8 *) Segment__DM1)
#define Segment_DM2                    (* (reg8 *) Segment__DM2) 
/* Input Buffer Disable Override */
#define Segment_INP_DIS                (* (reg8 *) Segment__INP_DIS)
/* LCD Common or Segment Drive */
#define Segment_LCD_COM_SEG            (* (reg8 *) Segment__LCD_COM_SEG)
/* Enable Segment LCD */
#define Segment_LCD_EN                 (* (reg8 *) Segment__LCD_EN)
/* Slew Rate Control */
#define Segment_SLW                    (* (reg8 *) Segment__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Segment_PRTDSI__CAPS_SEL       (* (reg8 *) Segment__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Segment_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Segment__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Segment_PRTDSI__OE_SEL0        (* (reg8 *) Segment__PRTDSI__OE_SEL0) 
#define Segment_PRTDSI__OE_SEL1        (* (reg8 *) Segment__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Segment_PRTDSI__OUT_SEL0       (* (reg8 *) Segment__PRTDSI__OUT_SEL0) 
#define Segment_PRTDSI__OUT_SEL1       (* (reg8 *) Segment__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Segment_PRTDSI__SYNC_OUT       (* (reg8 *) Segment__PRTDSI__SYNC_OUT) 


#if defined(Segment__INTSTAT)  /* Interrupt Registers */

    #define Segment_INTSTAT                (* (reg8 *) Segment__INTSTAT)
    #define Segment_SNAP                   (* (reg8 *) Segment__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Segment_H */


/* [] END OF FILE */
