/*******************************************************************************
* File Name: SelectModule.h  
* Version 1.60
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_SelectModule_H) /* Pins SelectModule_H */
#define CY_PINS_SelectModule_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SelectModule_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    SelectModule_Write(uint8 value) ;
void    SelectModule_SetDriveMode(uint8 mode) ;
uint8   SelectModule_ReadDataReg(void) ;
uint8   SelectModule_Read(void) ;
uint8   SelectModule_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SelectModule_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define SelectModule_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define SelectModule_DM_RES_UP          PIN_DM_RES_UP
#define SelectModule_DM_RES_DWN         PIN_DM_RES_DWN
#define SelectModule_DM_OD_LO           PIN_DM_OD_LO
#define SelectModule_DM_OD_HI           PIN_DM_OD_HI
#define SelectModule_DM_STRONG          PIN_DM_STRONG
#define SelectModule_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define SelectModule_MASK               SelectModule__MASK
#define SelectModule_SHIFT              SelectModule__SHIFT
#define SelectModule_WIDTH              4u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SelectModule_PS                     (* (reg8 *) SelectModule__PS)
/* Data Register */
#define SelectModule_DR                     (* (reg8 *) SelectModule__DR)
/* Port Number */
#define SelectModule_PRT_NUM                (* (reg8 *) SelectModule__PRT) 
/* Connect to Analog Globals */                                                  
#define SelectModule_AG                     (* (reg8 *) SelectModule__AG)                       
/* Analog MUX bux enable */
#define SelectModule_AMUX                   (* (reg8 *) SelectModule__AMUX) 
/* Bidirectional Enable */                                                        
#define SelectModule_BIE                    (* (reg8 *) SelectModule__BIE)
/* Bit-mask for Aliased Register Access */
#define SelectModule_BIT_MASK               (* (reg8 *) SelectModule__BIT_MASK)
/* Bypass Enable */
#define SelectModule_BYP                    (* (reg8 *) SelectModule__BYP)
/* Port wide control signals */                                                   
#define SelectModule_CTL                    (* (reg8 *) SelectModule__CTL)
/* Drive Modes */
#define SelectModule_DM0                    (* (reg8 *) SelectModule__DM0) 
#define SelectModule_DM1                    (* (reg8 *) SelectModule__DM1)
#define SelectModule_DM2                    (* (reg8 *) SelectModule__DM2) 
/* Input Buffer Disable Override */
#define SelectModule_INP_DIS                (* (reg8 *) SelectModule__INP_DIS)
/* LCD Common or Segment Drive */
#define SelectModule_LCD_COM_SEG            (* (reg8 *) SelectModule__LCD_COM_SEG)
/* Enable Segment LCD */
#define SelectModule_LCD_EN                 (* (reg8 *) SelectModule__LCD_EN)
/* Slew Rate Control */
#define SelectModule_SLW                    (* (reg8 *) SelectModule__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SelectModule_PRTDSI__CAPS_SEL       (* (reg8 *) SelectModule__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SelectModule_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SelectModule__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SelectModule_PRTDSI__OE_SEL0        (* (reg8 *) SelectModule__PRTDSI__OE_SEL0) 
#define SelectModule_PRTDSI__OE_SEL1        (* (reg8 *) SelectModule__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SelectModule_PRTDSI__OUT_SEL0       (* (reg8 *) SelectModule__PRTDSI__OUT_SEL0) 
#define SelectModule_PRTDSI__OUT_SEL1       (* (reg8 *) SelectModule__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SelectModule_PRTDSI__SYNC_OUT       (* (reg8 *) SelectModule__PRTDSI__SYNC_OUT) 


#if defined(SelectModule__INTSTAT)  /* Interrupt Registers */

    #define SelectModule_INTSTAT                (* (reg8 *) SelectModule__INTSTAT)
    #define SelectModule_SNAP                   (* (reg8 *) SelectModule__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins SelectModule_H */


/* [] END OF FILE */
